<?php
// add_theme_support( 'menus' );

// add_action('init', 'register_my_menu');

require_once( 'options/options.php' );
global $options;

$options = get_option('p2h_theme_options');
require_once( 'options/home-page.php' );

// add_theme_support( 'post-thumbnails' ); 

// add_post_type_support( $post_type, $supports );

function amenities() {
  register_post_type( 'amenities',
    array(
      'labels' => array(
        'name' => __( 'amenities' ),
        'singular_name' => __( 'amenities' )
      ),
      'public' => true,
      'has_archive' => true,
      'rewrite' => array('slug' => 'amenities'),
      'supports' => array( 'title', 'editor', 'thumbnail','custom-fields', 'excerpt' ),
    )
  );
}
add_action( 'init', 'amenities' );
function amenities2() {
  register_post_type( 'amenities2',
    array(
      'labels' => array(
        'name' => __( 'amenities2' ),
        'singular_name' => __( 'amenities2' )
      ),
      'public' => true,
      'has_archive' => true,
      'rewrite' => array('slug' => 'amenities2'),
      'supports' => array( 'title', 'editor', 'thumbnail','custom-fields', 'excerpt' ),
    )
  );
}
add_action( 'init', 'amenities2' );


function offer() {
  register_post_type( 'offer',
    array(
      'labels' => array(
        'name' => __( 'offer' ),
        'singular_name' => __( 'offer' )
      ),
      'public' => true,
      'has_archive' => true,
      'rewrite' => array('slug' => 'offer'),
      'supports' => array( 'title', 'editor', 'thumbnail','custom-fields', 'excerpt' ),
    )
  );
}
add_action( 'init', 'offer' );


// add_action( 'init', 'partner' );
// add_action('wp_loaded', 'prefix_output_buffer_start');
// function prefix_output_buffer_start() { 
//     ob_start("prefix_output_callback"); 
// }

// add_action('shutdown', 'prefix_output_buffer_end');
// function prefix_output_buffer_end() { 
//     ob_end_flush(); 
// }

// function prefix_output_callback($buffer) {
//     return preg_replace( "%[ ]type=[\'\"]text\/(javascript|css)[\'\"]%", '', $buffer );
// }



?>
